/**
 * 
 */
package org.gcube.portlets.user.td.codelistmappingimportwidget.client;

import org.gcube.portlets.user.td.gwtservice.shared.codelisthelper.CodelistMappingSession;
import org.gcube.portlets.user.td.wizardwidget.client.WizardCard;

import com.allen_sauer.gwt.log.client.Log;
import com.google.gwt.user.client.Command;

/**
 * 
 * @author "Giancarlo Panichi" <a
 *         href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a>
 * 
 */
public class CodelistMappingUploadFileCard extends WizardCard {
	protected CodelistMappingSession codelistMappingSession;
	protected CodelistMappingFileUploadPanel fileUploadPanel;
	protected CodelistMappingUploadFileCard thisCard;

	public CodelistMappingUploadFileCard(final CodelistMappingSession codelistMappingSession) {
		super("Codelist Mapping Import File Upload", "");
		this.thisCard = this;
		this.codelistMappingSession = codelistMappingSession;

		this.fileUploadPanel = new CodelistMappingFileUploadPanel(res, thisCard,codelistMappingSession);

		setContent(fileUploadPanel);

	}

	@Override
	public void setup() {
		Command sayNextCard = new Command() {
	
			public void execute() {
				try {
					TabResourcesSelectionCard tabResourceSelectionCard = new TabResourcesSelectionCard(
							codelistMappingSession);
					getWizardWindow().addCard(tabResourceSelectionCard);
					Log.info("NextCard TabResourceSelectionCard");
					getWizardWindow().nextCard();
				} catch (Throwable e) {
					Log.error("goNext: " + e.getLocalizedMessage());
					e.printStackTrace();
				}
			}

		};

		getWizardWindow().setNextButtonCommand(sayNextCard);

		Command sayPreviousCard = new Command() {
			public void execute() {
				try {
					getWizardWindow().previousCard();
					getWizardWindow().removeCard(thisCard);
					Log.info("Remove CodelistMappingUploadFileCard");
				} catch (Exception e) {
					Log.error("sayPreviousCard :" + e.getLocalizedMessage());
				}
			}
		};

		getWizardWindow().setPreviousButtonCommand(sayPreviousCard);
		getWizardWindow().setEnableNextButton(false);
	}

}
